> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app by ID

> Retrieves an app by its ID



## OpenAPI

````yaml /api-reference/phones.yaml get /apps/{id}
openapi: 3.1.0
info:
  title: Phones
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /apps/{id}:
    get:
      tags:
        - Apps Cloud Storage
      summary: Get app by ID
      description: Retrieves an app by its ID
      operationId: getAppByIdPublic
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/App'
                required:
                  - data
                type: object
          description: App retrieved successfully
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Not Found
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const app = await
            client.apps.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(app.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            app = client.apps.retrieve(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(app.data)
components:
  schemas:
    App:
      properties:
        bundleId:
          type: string
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        developerName:
          type:
            - string
            - 'null'
        displayName:
          type: string
        iconURL:
          type: string
        id:
          format: uuid
          type: string
        platform:
          enum:
            - android
            - ios
          type: string
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      required:
        - id
        - bundleId
        - platform
        - displayName
        - description
        - iconURL
        - developerName
        - createdAt
        - updatedAt
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.